# xcontainer_semantic

Defined in `xtensor/xsemantic.hpp`

template<class D>
class xt::xcontainer_semantic : public xt::xsemantic_base<D>

  Implementation of the xsemantic_base interface for dense multidimensional containers.

  The xcontainer_semantic class is an implementation of the xsemantic_base interface for dense multidimensional containers.

  tparam D

    the derived type

  Assign functions

  inline derived_type &assign_temporary(temporary_type&&)

    Assigns the temporary `tmp` to `*this`.

    Parameters

      tmp – the temporary to assign.

    Returns

      a reference to `*this`.